## load.tar.bz2

=== bfg2020/requirements.txt ===
requests
pyyaml
yandextank>=1.14.2

=== pandora/Makefile ===
.PHONY: all test lint vet fmt travis coverage checkfmt prepare deps

NO_COLOR=\033[0m
OK_COLOR=\033[32;01m
ERROR_COLOR=\033[31;01m
WARN_COLOR=\033[33;01m


all: test vet checkfmt

travis: test checkfmt coverage

prepare: fmt test vet

test:
	@echo "$(OK_COLOR)Test packages$(NO_COLOR)"
	@go test -v ./...

coverage:
	@echo "$(OK_COLOR)Make coverage report$(NO_COLOR)"
	@./script/coverage.sh
	-goveralls -coverprofile=gover.coverprofile -service=travis-ci

vet:
	@echo "$(OK_COLOR)Run vet$(NO_COLOR)"
	@go vet ./...

checkfmt:
	@echo "$(OK_COLOR)Check formats$(NO_COLOR)"
	@./script/checkfmt.sh .

fmt:
	@echo "$(OK_COLOR)Check fmt$(NO_COLOR)"
	@echo "FIXME go fmt does not format imports, should be fixed"
	@go fmt

tools:
	@echo "$(OK_COLOR)Install tools$(NO_COLOR)"
	go install golang.org/x/tools/cmd/goimports
	go get golang.org/x/tools/cmd/cover
	go get github.com/modocache/gover
	go get github.com/mattn/goveralls

deps:
	$(info #Install dependencies...)
	go mod tidy
	go mod download

=== validator/requirements.txt ===
asn1crypto==0.22.0
bcrypt==3.1.3
certifi==2017.7.27.1
cffi==1.10.0
chardet==3.0.4
click==6.7
connexion==1.5.3
cryptography>=2.3
cycler==0.10.0
Flask==1.0
future==0.16.0
idna==2.5
itsdangerous==0.24
Jinja2>=2.10.1
MarkupSafe==1.0
matplotlib==2.0.2
pathlib==1.0.1
psutil==5.6.6
pyasn1==0.3.2
pycparser==2.18
PyNaCl==1.1.2
pyparsing==2.2.0
python-dateutil==2.6.1
pytz==2017.2
requests==2.20.0
scipy==0.19.1
seaborn==0.8
typing==3.6.2
urllib3==1.24.2
Werkzeug==0.15.3

=== yandex-tank-internal-pkg/requirements.txt ===
https://api.github.com/repos/yandex/yandex-tank/tarball/master
tankapi -i https://pypi.yandex-team.ru/simple/
tankapi-client -i https://pypi.yandex-team.ru/simple/
https://api.github.com/repos/yandex-load/bdk/tarball/old_bdk
yandextank-yasm-plugin -i https://pypi.yandex-team.ru/simple/

=== pandora/docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Pandora
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== yandex-tank/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/YandexTank.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/YandexTank.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/YandexTank"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/YandexTank"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== lunaparkapi/cloud/v1/requirements.txt ===
grpcio==1.38.0
grpcio-tools==1.38.0
protobuf==3.17.3
six==1.16.0

=== cloud/loadtesting/tools/logging/delivery/Makefile ===
include settings.env

build-unified-agent:
	cd ${ARC_ROOT}/logbroker/unified_agent/bin \
	&& ${ARC_ROOT}/ya make --target-platform linux --use-clonefile

build-logs-grabber:
	cd ${ARC_ROOT}/load/projects/cloud/loadtesting/tools/logging/storage/bin \
	&& ${ARC_ROOT}/ya make  --target-platform linux --use-clonefile

build: build-logs-grabber build-unified-agent

collect:
	cp ${ARC_ROOT}/logbroker/unified_agent/bin/unified_agent scripts/unified_agent
	cp ${ARC_ROOT}/load/projects/cloud/loadtesting/tools/logging/storage/bin/logs_grabber scripts/logs_grabber

deliver-preprod:
	pssh ${BASTION} ${VM_HOST} "mkdir -p tmp || true"
	pssh ${BASTION} scp scripts/config-preprod.yaml \
	[${VM_HOST}]:tmp/config.yaml
	pssh ${BASTION} scp scripts/install.sh \
	[${VM_HOST}]:tmp/install.sh
	pssh ${BASTION} scp scripts/logs_grabber.service \
	[${VM_HOST}]:tmp/logs_grabber.service
	pssh ${BASTION} scp scripts/uniagent.service \
	[${VM_HOST}]:tmp/uniagent.service
	pssh ${BASTION} scp scripts/logs_grabber \
	[${VM_HOST}]:tmp/logs_grabber
	pssh ${BASTION} scp scripts/unified_agent \
	[${VM_HOST}]:tmp/unified_agent

deliver-prod:
	pssh ${BASTION} ${VM_HOST} "mkdir -p tmp || true"
	pssh ${BASTION} scp scripts/config-prod.yaml \
	[${VM_HOST}]:tmp/config.yaml
	pssh ${BASTION} scp scripts/install.sh \
	[${VM_HOST}]:tmp/install.sh
	pssh ${BASTION} scp scripts/logs_grabber.service \
	[${VM_HOST}]:tmp/logs_grabber.service
	pssh ${BASTION} scp scripts/uniagent.service \
	[${VM_HOST}]:tmp/uniagent.service
	pssh ${BASTION} scp scripts/logs_grabber \
	[${VM_HOST}]:tmp/logs_grabber
	pssh ${BASTION} scp scripts/unified_agent \
	[${VM_HOST}]:tmp/unified_agent

install:
	pssh ${BASTION} ${VM_HOST} "cd tmp && chmod +x install.sh && sudo ./install.sh"
	pssh ${BASTION} ${VM_HOST} "sudo systemctl status uniagent logs_grabber"

setup-vm-preprod: build collect deliver-preprod install

setup-vm-prod: build collect deliver-prod install

create-vm-preprod:
	# TODO: disk size
	yc compute instance create --folder-id yc.loadtesting.service-folder \
	--name unified-agent --zone ru-central1-b \
	--network-interface subnet-id=blt85l2qkvj26uipt86u,ipv6-address=auto,ipv4-address=auto \
	--create-boot-disk size=15,image-id=fdv62ejfp8ttb4lb4bns --metadata enable-oslogin=true \
	--service_account_id yc.loadtesting.robot-loadtesting-server

create-vm-prod:
	# TODO: disk size
	yc compute instance create --folder-id yc.loadtesting.service-folder \
	--name unified-agent --zone ru-central1-b \
	--network-interface subnet-id=e2ln1e4a29k23pvmpm96,ipv6-address=auto,ipv4-address=auto \
	--create-boot-disk size=15,image-id=fd8fcgg92ppg9dpkqnr3 --metadata enable-oslogin=true

=== lunapark/debian/changelog ===
yandex-load-lunapark-django (0.43.9) precise; urgency=low

  * Fix My projects list on mainpage

 -- szypulka <szypulka@yandex-team.ru>  Mon, 01 Jun 2020 20:27:12 +0300

yandex-load-lunapark-django (0.43.8) precise; urgency=low

  * https://st.yandex-team.ru/LOAD-770

 -- r2d2 <r2d2@yandex-team.ru>  Wed, 29 May 2019 19:27:12 +0300

yandex-load-lunapark-django (0.43.7) precise; urgency=low

  * Technical version up

 -- r2d2 <r2d2@yandex-team.ru>  Mon, 13 May 2019 12:58:12 +0300

yandex-load-lunapark-django (0.43.6) precise; urgency=low

  * Cleanup lunapark header https://st.yandex-team.ru/LUNAPARK-3448

 -- r2d2 <r2d2@yandex-team.ru>  Wed, 08 May 2019 18:04:12 +0300

yandex-load-lunapark-django (0.43.5) precise; urgency=low

  * QLOUD timeouts https://st.yandex-team.ru/LUNAPARK-3430;

 -- fomars <fomars@yandex-team.ru>  Thu, 01 Feb 2019 16:52:12 +0300

yandex-load-lunapark-django (0.43.4) precise; urgency=low

  * pandora binaries https://st.yandex-team.ru/LUNAPARK-3428;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 23 Jan 2019 16:52:12 +0300

yandex-load-lunapark-django (0.42.113) precise; urgency=low

  * custom report plot order https://st.yandex-team.ru/LUNAPARK-3427;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 22 Jan 2019 17:35:00 +0300

yandex-load-lunapark-django (0.42.112) precise; urgency=low

  * instances plot is on main page only for jobs of "rps" type ;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 18 Jan 2019 14:35:00 +0300

yandex-load-lunapark-django (0.42.110) precise; urgency=low

  * tank finder refactored;
  * instances plot is on main page now;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 29 Dec 2018 17:00:00 +0300

yandex-load-lunapark-django (0.42.109) precise; urgency=low

  * add target validation to apiv2 https://st.yandex-team.ru/LUNAPARK-3424;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 29 Dec 2018 17:00:00 +0300

yandex-load-lunapark-django (0.42.107) precise; urgency=low

  * fix cyrillic cases;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 29 Dec 2018 17:00:00 +0300

yandex-load-lunapark-django (0.42.106) precise; urgency=low

  * ticket creation form https://st.yandex-team.ru/LUNAPARK-3421;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 26 Dec 2018 14:07:35 +0300

yandex-load-lunapark-django (0.42.105) precise; urgency=low

  * fix https://st.yandex-team.ru/LUNAPARK-3419;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 17 Dec 2018 15:09:11 +0300

yandex-load-lunapark-django (0.42.102) precise; urgency=low

  * cosmetics;
  * better yaml support;
  * fixes;
  * refactoring;
  * support INITIATED tankapi status;
  * fix regexp for logs grep in mobilepage;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 19 Nov 2018 02:03:42 +0300

yandex-load-lunapark-django (0.42.99) precise; urgency=low

  * support gencfg groups for RTC in firestarter https://st.yandex-team.ru/LUNAPARK-3402;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 19 Nov 2018 02:03:42 +0300

yandex-load-lunapark-django (0.42.96) precise; urgency=low

  * separate job property for tankapi job no (for artifacts);

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 15 Nov 2018 15:32:22 +0300

yandex-load-lunapark-django (0.42.95) precise; urgency=low

  * HTTP 400 for invalid monitoring data YANDEXTANK-74;
  * icons;
  * cleanup;
  * refactoring and optimization;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 07 Nov 2018 19:13:46 +0300

yandex-load-lunapark-django (0.42.80) precise; urgency=low

  * RTC tanks on mainpage;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 08 Oct 2018 16:11:11 +0300

yandex-load-lunapark-django (0.42.68) precise; urgency=low

  * fix nanny group tanks busy message;
  * support FINISHED job status in firestarter https://st.yandex-team.ru/LUNAPARK-3364;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 08 Oct 2018 16:11:11 +0300

yandex-load-lunapark-django (0.42.66) precise; urgency=low

  * switch to memcached instead of CaaS

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 08 Oct 2018 16:11:11 +0300

yandex-load-lunapark-django (0.42.64) precise; urgency=low

  * https://st.yandex-team.ru/LUNAPARK-3380

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 03 Oct 2018 18:36:20 +0300

yandex-load-lunapark-django (0.42.62) precise; urgency=low

  * improve avatars resolution;
  * svg tanks;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 01 Oct 2018 18:09:53 +0300

yandex-load-lunapark-django (0.42.55) precise; urgency=low


  * correct "render" func usage https://st.yandex-team.ru/LUNAPARK-3375;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 13 Sep 2018 18:42:04 +0300

yandex-load-lunapark-django (0.42.53) precise; urgency=low

  * fix job update for mobile jobs https://st.yandex-team.ru/LUNAPARK-3367;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 13 Sep 2018 18:42:04 +0300

yandex-load-lunapark-django (0.42.52) precise; urgency=low

  * cool job id all over;
  * prevent component to be saved with an existing name

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 04 Sep 2018 14:23:10 +0300

yandex-load-lunapark-django (0.42.50) precise; urgency=low

  * fixes for regression;
  * cool job id experiment;
  * job monitoring config in offlinepage job meta;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 06 Aug 2018 17:58:12 +0300

yandex-load-lunapark-django (0.42.45) precise; urgency=low

  * refactoring;
  * monitoring config table and handler LUNAPARK-3342;
  * error message for no available tanks in nanny LUNAPARK-3343;
  * leave phantom disalbed when repeating non-phantom jobs LUNAPARK-3340;
  * task validation https://st.yandex-team.ru/LUNAPARK-3314;
  * support YP;
  * load scheme for meta in offlinepage LUNAPARK-3335;
  * correct api response for empty jobs LUNAPARK-3331;
  * tweaking api v2 LUNAPARK-3334;


=== overload/debian/changelog ===
overload (0.3.40) trusty; urgency=medium

  * fix online page

 -- Grigoriy Lipin (ligreen) <ligreen@yandex-team.ru>  Tue, 14 May 2020 11:16:00 +0300

overload (0.3.39) trusty; urgency=medium

  * xss security fix;

 -- Grigoriy Lipin (ligreen) <ligreen@yandex-team.ru>  Tue, 17 Mar 2020 11:16:00 +0300

overload (0.3.38) trusty; urgency=medium

  * fix db settings: exclude pgaas-test.mail.yandex.net;

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Tue, 27 Jul 2019 15:12:00 +0300

overload (0.3.37) trusty; urgency=medium

  *

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Tue, 27 Jul 2019 13:01:00 +0300

overload (0.3.35) trusty; urgency=medium

  * fix takeout requests;

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Fri, 23 Aug 2019 15:43:00 +0300

overload (0.3.33) trusty; urgency=medium

  * change lib for tvm2;

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Sun, 16 Jun 2019 17:38:00 +0300

overload (0.3.32) trusty; urgency=medium

  * small fixes for takeout;

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Wed, 20 Mar 2019 17:19:03 +0300

overload (0.3.30) trusty; urgency=medium

  * add tvm2 support;
  * add takeout handles;

 -- Nadya Mirgorodskaya (szypulka) <szypulka@yandex-team.ru>  Mon, 18 Mar 2019 18:24:41 +0300

overload (0.3.19) trusty; urgency=medium

  * encrypting user social data;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 19 Dec 2018 16:18:04 +0300

overload (0.3.25) trusty; urgency=medium

  * instances plot moved to front page;
  * fix manage commands;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 19 Dec 2018 16:18:04 +0300

overload (0.3.15) trusty; urgency=medium

  * enable clck.ru;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 19 Dec 2018 16:18:04 +0300

overload (0.3.13) trusty; urgency=medium

  * protect jobs from being changed or stopped by non-owner;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 19 Dec 2018 16:18:04 +0300

overload (0.3.12) trusty; urgency=medium

  * adapting to clickhouse changes https://st.yandex-team.ru/LUNAPARK-3412;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 23 Oct 2018 18:30:21 +0300

overload (0.3.8) trusty; urgency=medium

  * fix delete_job https://st.yandex-team.ru/LUNAPARK-3386;
  * fix ui settings;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 23 Oct 2018 18:30:21 +0300

overload (0.3.7) trusty; urgency=medium

  * disable CaaS client;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 22 Oct 2018 15:59:44 +0300

overload (0.3.6) trusty; urgency=medium

  * cool job ids;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 04 Oct 2018 15:31:01 +0300

overload (0.3.3) trusty; urgency=medium

  * fractional loadschemes workaround;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 29 Aug 2018 14:55:43 +0300

overload (0.3.2) trusty; urgency=medium

  * skarif;
  * safer cache;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 17 Aug 2018 14:55:43 +0300

overload (0.3.1) trusty; urgency=medium

  * we're in the clouds now;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 22 Mar 2018 23:13:03 +0300

overload (0.2.10) trusty; urgency=medium

  * migrations;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 18 Dec 2017 16:29:28 +0300

overload (0.2.7) trusty; urgency=medium

  * security https://st.yandex-team.ru/LUNAPARK-2957;
  * security https://st.yandex-team.ru/SECAUDIT-2161

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 18 Dec 2017 16:29:28 +0300

overload (0.2.2) trusty; urgency=medium

  * no more pickle;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 18 Dec 2017 16:29:28 +0300

overload (0.2.0) trusty; urgency=medium

  * django 1.11;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 18 Dec 2017 16:29:28 +0300

overload (0.1.12) trusty; urgency=medium

  * Securing things;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 13 Dec 2017 16:37:44 +0300

overload (0.1.11) trusty; urgency=medium

  * CSP;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 07 Dec 2017 15:54:29 +0300

overload (0.1.10) trusty; urgency=medium

  * new monitoring table is used exclusively;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 27 Oct 2017 15:55:54 +0300

overload (0.1.2) trusty; urgency=medium

  * monitoring_verbose_data table;	

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 20 Oct 2017 18:07:55 +0300

overload (0.1.1) trusty; urgency=medium

  * microsecond tables;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Fri, 20 Oct 2017 18:07:06 +0300

overload (0.1.0) trusty; urgency=medium

  * pgaas;
  * caas;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Tue, 17 Oct 2017 16:22:25 +0300

overload (0.0.27) trusty; urgency=medium

  * more security;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Tue, 29 Aug 2017 15:02:36 +0300

overload (0.0.26) trusty; urgency=medium

  * xss;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Tue, 21 Mar 2017 18:08:49 +0300

overload (0.0.25) trusty; urgency=medium

  * timestamps for offline monitoring;
  * fix stream show more;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Wed, 22 Feb 2017 01:54:27 +0300

overload (0.0.24) trusty; urgency=medium

  * fixed online monitoring;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 20 Feb 2017 13:28:53 +0300

overload (0.0.23) precise; urgency=low

  * lots of fixes and cosmetics;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 16 Feb 2017 16:36:25 +0300

overload (0.0.22) precise; urgency=low

  * max_threads=3;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Thu, 06 Oct 2016 16:36:25 +0300

overload (0.0.20) precise; urgency=low

  * maxthreads;

 -- Dmitriy Kuznetsov (noob) <noob@yandex-team.ru>  Mon, 03 Oct 2016 17:47:26 +0300

overload (0.0.19) precise; urgency=low

  * optimizing clickhouse requests;



=== pandora/debian/changelog ===
pandora (0.0.1) trusty; urgency=medium

  * Initial release

 -- Alexey Lavrenuke (load testing) <direvius@yandex-team.ru>  Tue, 27 Oct 2015 13:51:15 +0300

=== yandex-tank-internal-pkg/debian/changelog ===
yandextank-internal (1.12.8.1~1) xenial; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Fri, 28 Feb 2020 16:42:46 +0300

yandextank-internal (1.12.8.1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Fri, 24 Jan 2020 17:42:46 +0300

yandextank-internal (1.12.8) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 21 Jan 2020 14:27:18 +0300

yandextank-internal (1.12.8~3) precise; urgency=low

  * Release

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 21 Jan 2020 13:22:39 +0300

yandextank-internal (1.12.8~2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 21 Jan 2020 12:59:01 +0300

yandextank-internal (1.12.8~1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 16 Jan 2020 19:18:45 +0300

yandextank-internal (1.12.7) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 09 Jan 2020 17:55:20 +0300

yandextank-internal (1.12.7~2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 09 Jan 2020 16:14:48 +0300

yandextank-internal (1.12.7~1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 26 Dec 2019 20:42:03 +0300

yandextank-internal (1.12.6.1) precise; urgency=low

  *

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Fri, 20 Dec 2019 15:49:11 +0300

yandextank-internal (1.12.6) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 12 Dec 2019 21:49:11 +0300

yandextank-internal (1.12.6~5) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 05 Dec 2019 17:37:26 +0300

yandextank-internal (1.12.6~4) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 04 Dec 2019 20:12:57 +0300

yandextank-internal (1.12.6~3) precise; urgency=low

  * enable Neuploader by default

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 26 Nov 2019 18:32:45 +0300

yandextank-internal (1.12.6~2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 25 Nov 2019 23:26:29 +0300

yandextank-internal (1.12.6~1) precise; urgency=low

  * fix luna upload

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Sun, 24 Nov 2019 16:59:11 +0300

yandextank-internal (1.12.5) precise; urgency=low

  * fix duration, etc

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 21 Oct 2019 17:52:59 +0300

yandextank-internal (1.12.5.1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 25 Sep 2019 21:44:21 +0300

yandextank-internal (1.12.5~6) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 19 Sep 2019 16:06:18 +0300

yandextank-internal (1.12.5~5) precise; urgency=low

  * fix duration, etc

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 18 Sep 2019 18:19:14 +0300

yandextank-internal (1.12.5~4) precise; urgency=low

  * fix duration, etc

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 17 Sep 2019 19:48:58 +0300

yandextank-internal (1.12.5~3) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 17 Sep 2019 18:40:56 +0300

yandextank-internal (1.12.5~2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 17 Sep 2019 18:19:21 +0300

yandextank-internal (1.12.5~1) precise; urgency=low

  * fix duration, etc

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 09 Sep 2019 19:36:17 +0300

yandextank-internal (1.12.4~5) precise; urgency=low

  * Fix luna queue freeze in Netort

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Fri, 16 Aug 2019 20:57:48 +0300

yandextank-internal (1.12.4~4) precise; urgency=low

  * Fix luna queue freeze in Netort

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 15 Aug 2019 20:01:03 +0300

yandextank-internal (1.12.4~3) precise; urgency=low

  * Cases support in Neuploader

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 12 Aug 2019 18:58:24 +0300

yandextank-internal (1.12.4~2) precise; urgency=low

  * Cases support in Neuploader

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 12 Aug 2019 18:51:13 +0300

yandextank-internal (1.12.4~1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 31 Jul 2019 13:23:09 +0300

yandextank-internal (1.12.3) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Thu, 04 Jul 2019 19:23:59 +0300

yandextank-internal (1.12.3~9) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 02 Jul 2019 20:27:02 +0300

yandextank-internal (1.12.3~8) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 01 Jul 2019 23:44:49 +0300

yandextank-internal (1.12.3~7) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 01 Jul 2019 22:40:26 +0300

yandextank-internal (1.12.3~6) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Fri, 28 Jun 2019 13:07:13 +0300

yandextank-internal (1.12.3~5) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 26 Jun 2019 18:41:14 +0300

yandextank-internal (1.12.3~4) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Tue, 25 Jun 2019 01:47:12 +0300

yandextank-internal (1.12.3~3) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Mon, 24 Jun 2019 21:34:18 +0300

yandextank-internal (1.12.3~2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 19 Jun 2019 15:38:13 +0300

yandextank-internal (1.12.3~1) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Sat, 08 Jun 2019 04:25:54 +0300

yandextank-internal (1.12.2) precise; urgency=low

  * 

 -- robot-lunapark <robot-lunapark@yandex-team.ru>  Wed, 22 May 2019 17:18:41 +0300



=== lunapark/debian/control ===
Source: yandex-load-lunapark-django
Section: yandex
Priority: optional
Maintainer: Dmitriy Kuznetsov <noob@yandex-team.ru>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.7.2

Package: yandex-load-lunapark-django
Section: yandex
Priority: optional
Architecture: all
Depends: nginx, gettext, python-openssl,
	python-startrek-client(>=1.5.3), python-blackbox,
	python-novaclient(>=1:2.15.0+git.2.gf979017-0yandex2), python-yaml, postgresql-client, python-psycopg2,
	python-numpy, python-memcached, python-tz(>=2014.4-yandex3),
	python-django-1.6(>=1.6.2-yandex0), python-django-picklefield, python-django-south,
	python-django-yauth, python-django-template-common, python-django-russian, python-django-tastypie,
	yandex-environment-production | yandex-environment-testing,
	yandex-load-tankapi-client,
	uwsgi, uwsgi-plugin-python,
Recommends: libssl1.0.0(>=1.0.1-4ubuntu5.37), yandex-load-lunapark-qloud-token(>=1.3), yandex-load-storage-artefact-key,
    yandex-load-storage-ammo-key, yandex-load-lunapark-rpc-pass, yandex-load-lunapark-lunapark-oauthtoken,
    yandex-load-lunapark-intranet-pass
Conflicts: yandex-load-kshm-old
Description: The web-part of Lunapark which is in Django.

=== pandora/debian/control ===
Source: pandora
Section: devel
Priority: extra
Maintainer: Alexey Lavrenuke (load testing) <direvius@yandex-team.ru>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-amahi-spdy-dev
Standards-Version: 3.9.6
Homepage: https://github.com/yandex/pandora
XS-Go-Import-Path: github.com/yandex/pandora

Package: pandora
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: an extensible load generation tool

=== yandex-tank/data/PKGBUILD ===
# Maintainer: Konstantin Shalygin (k0ste@opentech.ru)

pkgname='yandex-tank'
pkgver='1.7.10'
pkgrel='1'
pkgdesc='Performance measurement tool'
arch=('any')
url='https://github.com/yandex/yandex-tank'
license=('GPL')
depends=('python3' 'python3-psutil' 'python3-ipaddr' 'phantom-engine-git')
source=("http://ppa.launchpad.net/yandex-load/main/ubuntu/pool/main/y/yandextank/yandextank_${pkgver}.tar.gz")
sha256sums=("5c2d9d948e1583183a623f430bf0b5327baca4fcbc9d7893f230b364a7aedc70")

build() {
  cd "$srcdir/$pkgname"
  python2 setup.py build
}

package() {
  pushd "$srcdir/$pkgname"
  python2 setup.py install -O1 --root="$pkgdir"
  install -Dm644 "COPYING" "$pkgdir/usr/share/doc/$pkgname/COPYING"
  popd
}

=== lunapark/debian/rules ===
#!/usr/bin/make -f
# vim: noet

# don't make clean && make while debuilding!

export DH_ALWAYS_EXCLUDE=.svn:.pyc:local_settings.py
include /usr/share/cdbs/1/rules/debhelper.mk

binary-install:
	dh_installdirs
	dh_install
	dh_installdeb
	dh_installcron
	dh_clearvcs
	dh_clean
	dh_installchangelogs
	dh_installlogrotate
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_djangosettings
	dh_djangoinit --no-start
	dh_nginx
